質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.34%

switch構文でString型の変数を使用するとエラーになります。

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,926

s.k

score 266

前提・実現したいこと

NetBeansでswitch構文にString型の変数を使いたい。

コード

発生している問題・エラーメッセージ

【ブラウザ】

HTTP Status 500 - Internal Server Error

【netbeansのエラー内容】

switch内の文字列は-source 1.5でサポートされていません
  (switch内の文字列を使用可能にするには、-source 7以降を使用してください)

該当のソースコード

<h2>switch2</h2><br>
        <%
        String cha= "あ";String flash = " ";
        if (cha == null) {
        cha = "null";
        }
        switch (cha){
          case "あ":
            flash = "日本語";
            break;
          case "A":
            flash = "英語";
            break;
          default:
            flash = "error";
            break;
        }
        out.println(flash);
        %>

調べたところ、switchはstring型の変数を使えない時があったことを知りました。
しかし、私の今のバージョンを確認しても使えないはずはないと思うのです。

ソース/バイナリ形式:JDK8
プラットフォーム名:JDK 1.8(デフォルト)

原因は他にあるのでしょうか?
よろしくお願いします。

念のためエラー内容を全て載せておきます。

重大:   Error compiling file: C:\Users\keiga\AppData\Roaming\NetBeans\8.2\config\GF_4.1.1\domain1\generated\jsp\WebApplication1\org\apache\jsp\programing_005fbase2_jsp.java
警告:   StandardWrapperValve[jsp]: Servlet.service() for servlet jsp threw exception
org.apache.jasper.JasperException: PWC6033: Error in Javac compilation for JSP
PWC6199: Generated servlet error:
ソース値1.5は廃止されていて、今後のリリースで削除される予定です
PWC6199: Generated servlet error:
ターゲット値1.5は廃止されていて、今後のリリースで削除される予定です
PWC6199: Generated servlet error:
廃止されたオプションについての警告を表示しないようにするには、-Xlint:オプションを使用します。
PWC6197: An error occurred at line: 32 in the jsp file: /programing_base2.jsp
PWC6199: Generated servlet error:
switch内の文字列は-source 1.5でサポートされていません
  (switch内の文字列を使用可能にするには、-source 7以降を使用してください)

マルチポスト
スタックオーバーフロー

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

+1

Java8のラムダ式とかを試すついでにNetBeansの環境設定方法とかもメモの「プロジェクトで使用する JDK を Java8 にする」の設定はされているということですね。

「Java プラットフォームに Java8 を追加する」の手順でプラットフォームの追加はしているか確認してみてください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/11/28 10:27

    Carimaticsさん

    ありがとうございます。
    ご指摘通り、javaプラットフォームにjdk8を追加しようしました。
    しかし、ファイルの選択肢にjdk-8u111-windows-x64.exeが出てこないために解決できない状況です…

    キャンセル

  • 2016/11/28 12:01

    それは恐らくインストーラーですね。
    インストールの際に特に指定していなければ、以下のどちらかのフォルダにインストールされていると思います。
    C:¥Program Files¥Java
    C:¥Program Files(x86)¥Java

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.34%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る